#
# spec file for package perl-Convert-BER
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Convert-BER
%define cpan_name Convert-BER
Version:        1.32
Release:        27.38
Provides:       perl_ber
Obsoletes:      perl_ber
AutoReqProv:    on
Url:            http://search.cpan.org/dist/%{cpan_name}
License:        GPL-2.0+
Group:          Development/Libraries/Perl
Summary:        ASN.1 Basic Encoding Rules
Source:         %{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
Convert::BER is a Perl object class implementation for encoding and
decoding objects as described by ITU-T standard X.209 (ASN.1) using
Basic Encoding Rules (BER).

WARNING this module is no longer supported, See Convert::ASN1 

%prep
%setup -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Convert
%{perl_vendorarch}/auto/Convert

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Feb  2 2011 vcizek@novell.com
- bzipped source tarball
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun May 23 2010 coolo@novell.com
- do not build noarch
* Sun Feb 14 2010 coolo@novell.com
- update to 1.32
  * remove label INIT, not valid as of 5.11.0
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Wed Jun 18 2003 mjancar@suse.cz
- fix filelist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Thu Nov 28 2002 prehak@suse.cz
- updated to version 1.3101
- removed patch Convert-BER.dif (doesn't need anymore)
* Wed Jul 31 2002 prehak@suse.cz
- changed order of two strings in t/03seqof.t (Convert-BER.dif)
  (probably the order of hash keys has changed with perl 5.8.0
  (the order of the keys is not guaranteed by perl) )
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Wed Jan 23 2002 rvasice@suse.cz
- spec file cleanup
* Mon Mar 26 2001 cihlar@suse.cz
- added make test
* Tue Nov 14 2000 cihlar@suse.cz
- renamed perl_ber -> perl-Convert-BER
* Tue Aug 22 2000 cihlar@suse.cz
- update to version 1.31
- added BuildRoot
- bzipped sources
* Fri Mar 17 2000 ug@suse.de
- build for IMap Server CD
